/*
 * Copyright (c) 2024 ShinGeTsu Meter.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
#pragma once

typedef struct {
    uint8_t  command;
    uint32_t div;
    uint32_t wait;
} adcConf;

typedef enum {
    BIT_12 = 0,
    BIT_14,
    BIT_16,
    // BIT_18  使わない
} ad_resolution;

typedef enum {
    CH1 = 0,
    CH2,
    CH3,
    CH4
} ad_channel;

void     MCP3424_Init(i2c_inst_t *i2c, uint8_t addr);
uint32_t MCP3424_startConversion(ad_channel ch, ad_resolution reso, bool wait);
double   MCP3424_read();
